Roamify eSIM APIs (Most Affordable)
Home
Roamify Docs
Home
Roamify Docs
  1. eSIM Country
  • eSIM Country
    • Get eSIM Supported Country
      GET
  • eSIM Packages
    • Get eSIM Packages
      GET
  • Orders
    • Create eSIM Order
      POST
    • Create eSIM Top-Up Order
      POST
    • Create Instant eSIM Order (no /apply needed)
      POST
    • Get all eSIM Orders
      GET
    • Get Order
      GET
  • eSIMs
    • Generate eSIM Profile
      POST
    • Get eSIM Compatible TopUp Packages
      GET
    • Get eSIM Usage
      GET
    • Get eSIM Usage Details
      GET
    • Get eSIM Events
      GET
    • Get eSIM
      GET
    • Get eSIMs
      GET
    • Get eSIM Packages History
      GET
    • Send SMS
      POST
    • Generate eSIMs Link for Sharing
      POST
  • Compatible Devices
    • Get eSIM Compatible Devices
      GET
  • Account Balance
    • Get Account Balance
      GET
  • Exchange Rates
    • Get Supported Currencies
      GET
    • Get Exchange Rate
      GET
  • Health Check
    • API Health
      GET
  1. eSIM Country

Get eSIM Supported Country

Development
https://api-dev.getroamify.com
Development
https://api-dev.getroamify.com
GET
https://api-dev.getroamify.com
/api/esim/countries
Last modified:2026-06-09 20:14:27
Maintainer:Not configured
Returns a list of all countries supported by Roamify eSIM. Use the name and code values from the response as filter inputs for the Get eSIM Packages endpoint.

Query Parameters#

NameTypeRequiredDescription
geographystringoptionalScope of coverage for the package. Accepted values: local, regional, global.
Returns an array of supported country objects.
FieldTypeDescription
namestringFull country name. Use as the country parameter in the Packages API.
codestringISO country code. Use as the countryCode parameter in the Packages API.
geographystringScope of coverage for the package. can be any of local, regional, global.

Example Response#

[
  {
    "name": "United States",
    "code": "US",
    "geography": "local"
  },
  {
    "name": "Japan",
    "code": "JP",
    "geography": "local"
  }
]
Note: Retrieve name and code values from this endpoint before querying the Packages API — arbitrary country strings are not accepted.

Request

Query Params

Header Params

Responses

🟢200successfully / 200
text/plain
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-dev.getroamify.com/api/esim/countries' \
--header 'Authorization: Bearer roamify_4ECge13m8ZqFvGshLVLfdnFzi5hGuXkCBg2keWxVVKi7b2BGWmoXiv7bgVtNxY5Ruif7QKEthrLNrEkvnBV3Z7D3Fyj547NbnDnsDU7HgkRX8ggKD285dkXZHdNFM8npxoyr12nSzfpzqRuLvJj2d9eXgucEQmD9Gg4aKnUWvNaRbz1mKv7fAwdJe'
Response Response Example
application/json; charset=utf-8 content type is not supported in the response body
Modified at 2026-06-09 20:14:27
Next
Get eSIM Packages
Built with